#######################################################
# SECURITY SCANS FOR GENERATING VULNERABILITY REPORTS #
#######################################################
# required for all repos that end up in production environments
# https://docs.gitlab.com/ee/user/application_security/container_scanning/
# https://gitlab.com/flywheel-io/infrastructure/ci-templates/-/blob/master/security-scans.yml

include:
  - template: Security/Container-Scanning.latest.gitlab-ci.yml
  - project: flywheel-io/infrastructure/ci-templates
    file: security-scans.yml
    ref: master

# override container_scanning.rules to only run when a dockerfile is present
# must be kept in sync w/ the upstream rules in lack of a better ci yaml solution:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Jobs/Container-Scanning.latest.gitlab-ci.yml#L48
container_scanning:
  variables:
    # enable language-specific findings for parity w/ the aquasec config
    # https://docs.gitlab.com/ee/user/application_security/container_scanning/#report-language-specific-findings
    CS_DISABLE_LANGUAGE_VULNERABILITY_SCAN: "false"  # ADDITION
  rules:
    - if: $CONTAINER_SCANNING_DISABLED == 'true' || $CONTAINER_SCANNING_DISABLED == '1'
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event" &&
          $CI_GITLAB_FIPS_MODE == "true" &&
          $CS_ANALYZER_IMAGE !~ /-(fips|ubi)\z/
      variables:
        CS_IMAGE_SUFFIX: -fips
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      exists: [Dockerfile*]  # ADDITION
    - if: $CI_OPEN_MERGE_REQUESTS
      when: never
    - if: $CI_COMMIT_BRANCH &&
          $CI_GITLAB_FIPS_MODE == "true" &&
          $CS_ANALYZER_IMAGE !~ /-(fips|ubi)\z/
      variables:
        CS_IMAGE_SUFFIX: -fips
    - if: $CI_COMMIT_BRANCH
      exists: [Dockerfile*]  # ADDITION
